Bug 185351 - audio/csound: Update to version 6.01
audio/csound: Update to version 6.01
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Danilo Egea Gondolfo
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-30 21:10 UTC by tkato432
Modified: 2014-01-10 18:10 UTC (History)
0 users

See Also:


Attachments
file.diff (140.20 KB, patch)
2013-12-30 21:10 UTC, tkato432
no flags Details | Diff
audio_csound.diff (139.99 KB, patch)
2014-01-09 18:00 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-30 21:10:13 UTC
- Update to version 6.01

New file:
files/patch-Top__csmodule.c
files/patch-frontends__CsoundAC__ChordSpace.hpp
files/patch-frontends__CsoundAC__Composition.cpp

Remove file:
files/patch-H__sysdep.h
files/patch-frontends_fltk_gui_CsoundPerformanceSettingsPanel.cpp
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-12-31 03:07:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 tkato432 2014-01-09 18:00:01 UTC
Version 6.02 has been released.
Comment 3 Danilo Egea Gondolfo freebsd_committer 2014-01-09 20:42:15 UTC
The csound 6 API is not compatible with version 5. This update would
break the port audio/smasher. I'll add a new port (audio/csound6) with
your patch to keep audio/smasher working. Thanks!
Comment 4 dfilter freebsd_committer 2014-01-10 18:05:40 UTC
Author: danilo
Date: Fri Jan 10 18:05:29 2014
New Revision: 339377
URL: http://svnweb.freebsd.org/changeset/ports/339377

Log:
  - Copy from audio/csound and apply the patch. The API of the version 6 of csound is not compatible of version 5.
  - Update from 5.18.02 to 6.02
  - Add stage support
  - Use options helpers
  
  PR:		ports/185351
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Added:
  head/audio/csound6/
     - copied from r339369, head/audio/csound/
  head/audio/csound6/files/patch-frontends__CsoundAC__ChordSpace.hpp   (contents, props changed)
  head/audio/csound6/files/patch-frontends__CsoundAC__Composition.cpp   (contents, props changed)
Deleted:
  head/audio/csound6/files/patch-H__sysdep.h
  head/audio/csound6/files/patch-frontends_fltk_gui_CsoundPerformanceSettingsPanel.cpp
Modified:
  head/audio/Makefile
  head/audio/csound6/Makefile
  head/audio/csound6/distinfo
  head/audio/csound6/files/patch-InOut-rtalsa.c   (contents, props changed)
  head/audio/csound6/files/patch-Top-csound.c   (contents, props changed)
  head/audio/csound6/pkg-descr   (contents, props changed)
  head/audio/csound6/pkg-plist

Modified: head/audio/Makefile
==============================================================================
--- head/audio/Makefile	Fri Jan 10 17:25:43 2014	(r339376)
+++ head/audio/Makefile	Fri Jan 10 18:05:29 2014	(r339377)
@@ -98,6 +98,7 @@
     SUBDIR += crip
     SUBDIR += cripple
     SUBDIR += csound
+    SUBDIR += csound6
     SUBDIR += ctronome
     SUBDIR += cuberok
     SUBDIR += cue2toc

Modified: head/audio/csound6/Makefile
==============================================================================
--- head/audio/csound/Makefile	Fri Jan 10 16:40:31 2014	(r339369)
+++ head/audio/csound6/Makefile	Fri Jan 10 18:05:29 2014	(r339377)
@@ -2,202 +2,131 @@
 # $FreeBSD$
 
 PORTNAME=	csound
-PORTVERSION=	5.18.02
-PORTREVISION=	1
+PORTVERSION=	6.02
 CATEGORIES=	audio lang
-MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}5/${PORTNAME}5.18/ \
-		SF/${PORTNAME}/${PORTNAME}5/${PORTNAME}${PORTVERSION:R}/manual:manual
+MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}6/${PORTNAME:S/c/C/}${PORTVERSION}
 DISTNAME=	${PORTNAME:S/c/C/}${PORTVERSION}
-DISTFILES=	${DISTNAME}${EXTRACT_SUFX}
-EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
+DIST_SUBDIR=	csound
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Sound synthesizer
 
 LICENSE=	LGPL21
-LICENSE_FILE=	${WRKSRC}/COPYING
 
-DIST_SUBDIR=	csound
-BUILD_DEPENDS=	${LOCALBASE}/bin/swig:${PORTSDIR}/devel/swig13 \
-		${LOCALBASE}/include/gmm/gmm.h:${PORTSDIR}/math/gmm++ \
-		${LOCALBASE}/bin/flex:${PORTSDIR}/textproc/flex
+BUILD_DEPENDS=	boost-libs>0:${PORTSDIR}/devel/boost-libs \
+		swig>2:${PORTSDIR}/devel/swig20 \
+		eigen>0:${PORTSDIR}/math/eigen3 \
+		gmm++>0:${PORTSDIR}/math/gmm++
 LIB_DEPENDS=	libsndfile.so:${PORTSDIR}/audio/libsndfile
 
-OPTIONS_DEFINE=	ALSA DSSI FLUIDSYNTH JACK OSC PORTAUDIO PULSEAUDIO FLTK
-OPTIONS_DEFAULT=FLTK
+OPTIONS_DEFINE=	ALSA DSSI FLTK FLUIDSYNTH JACK LUA NLS OPENMP OSC PNG \
+		PORTAUDIO PULSEAUDIO
+OPTIONS_DEFAULT=FLTK OPENMP
+OPTIONS_SUB=	yes
 ALSA_DESC=	Build ALSA I/O module
 DSSI_DESC=	Build DSSI/LADSPA host opcodes
+FLTK_DESC=	Build FLTK plugin and GUI
 FLUIDSYNTH_DESC=Building FluidSynth opcodes
 JACK_DESC=	Build Jack I/O module and opcodes
+LUA_DESC=	Build Lua Interface and opcodes
 OSC_DESC=	Build OSC opcodes
-PORTAUDIO_DESC=	Build the PortAudio I/O module
-PULSEAUDIO_DESC=Build the PulseAudio I/O module
-FLTK_DESC=	Build FLTK plugin and GUI
+PNG_DESC=	Build Image opcodes
+PORTAUDIO_DESC=	Build PortAudio I/O module
+PULSEAUDIO_DESC=Build PulseAudio I/O module
 
 CONFLICTS_INSTALL=	outguess-*
 
-SSP_UNSAFE=	yes
-USE_PYTHON=	2.6+
-USES=		bison gettext
-NO_STAGE=	yes
-USE_SCONS=	yes
-SCONS_BUILDENV=	PATH=${LOCALBASE}/bin:$$PATH
-SCONS_ARGS=	prefix="${PREFIX}" CC="${CC}" CXX="${CXX}" \
-		CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" \
-		buildCsoundAC=0 buildCsoundVST=0 buildInterfaces=1 \
-		buildRelease=1 buildVirtual=1 dynamicCsoundLibrary=1 \
-		install=1 noDebug=1 useDouble=1 \
-		useGettext=1 usePortMIDI=0
+USES=		bison cmake gettext
+USE_PYTHON=	2
+CMAKE_ARGS=	-DBUILD_CSOUNDVST:BOOL=OFF \
+		-DBUILD_JAVA_INTERFACE:BOOL=OFF \
+		-DBUILD_PD_CLASS:BOOL=OFF \
+		-DBUILD_STK_OPCODES:BOOL=OFF \
+		-DBUILD_TESTS:BOOL=OFF \
+		-DPYTHON_MODULE_INSTALL_DIR:STRING="${PYTHONPREFIX_SITELIBDIR}"
 USE_LDCONFIG=	yes
+SSP_UNSAFE=	yes
 
-SUB_FILES=	pkg-message
-
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MALSA}
-LIB_DEPENDS+=	libasound.so:${PORTSDIR}/audio/alsa-lib
-SCONS_ARGS+=	useALSA=1
-PLIST_SUB+=	ALSA=""
-ALSA_H=		alsa/asoundlib.h
-.else
-SCONS_ARGS+=	useALSA=0
-PLIST_SUB+=	ALSA="@comment "
-ALSA_H=		##alsa/asoundlib.h##
-.endif
-
-.if ${PORT_OPTIONS:MDSSI}
-BUILD_DEPENDS+=	dssi>=0:${PORTSDIR}/audio/dssi
-RUN_DEPENDS+=	dssi>=0:${PORTSDIR}/audio/dssi
-SCONS_ARGS+=	buildDSSI=1
-PLIST_SUB+=	DSSI=""
-.else
-SCONS_ARGS+=	buildDSSI=0
-PLIST_SUB+=	DSSI="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MFLUIDSYNTH}
-LIB_DEPENDS+=	libfluidsynth.so:${PORTSDIR}/audio/fluidsynth
-PLIST_SUB+=	FLUIDSYNTH=""
-FLUIDSYNTH_H=	fluidsynth.h
-.else
-PLIST_SUB+=	FLUIDSYNTH="@comment "
-FLUIDSYNTH_H=	##fluidsynth.h##
-.endif
-
-.if ${PORT_OPTIONS:MJACK}
-LIB_DEPENDS+=	libjack.so:${PORTSDIR}/audio/jack
-SCONS_ARGS+=	useJack=1
-PLIST_SUB+=	JACK=""
-.else
-SCONS_ARGS+=	useJack=0
-PLIST_SUB+=	JACK="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MOSC}
-LIB_DEPENDS+=	liblo.so:${PORTSDIR}/audio/liblo
-SCONS_ARGS+=	useOSC=1
-PLIST_SUB+=	OSC=""
-.else
-SCONS_ARGS+=	useOSC=0
-PLIST_SUB+=	OSC="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MPORTAUDIO}
-BUILD_DEPENDS+=	portaudio2>=0:${PORTSDIR}/audio/portaudio2
-RUN_DEPENDS+=	portaudio2>=0:${PORTSDIR}/audio/portaudio2
-SCONS_ARGS+=	usePortAudio=1
-PLIST_SUB+=	PORTAUDIO=""
-PORTAUDIO_L=	"${LOCALBASE}/lib/portaudio2"
-PORTAUDIO_R=	"-Wl,-rpath,${LOCALBASE}/lib/portaudio2"
-.else
-SCONS_ARGS+=	usePortAudio=0
-PLIST_SUB+=	PORTAUDIO="@comment "
-PORTAUDIO_L=	# empty
-PORTAUDIO_R=	# empty
-.endif
-
-.if ${PORT_OPTIONS:MPULSEAUDIO}
-LIB_DEPENDS+=	libpulse-simple.so:${PORTSDIR}/audio/pulseaudio
-PLIST_SUB+=	PULSEAUDIO=""
-PULSEAUDIO_H=	pulse/simple.h
-.else
-PLIST_SUB+=	PULSEAUDIO="@comment "
-PULSEAUDIO_H=	##pulse/simple.h##
-.endif
+CFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
 
-.if ${PORT_OPTIONS:MFLTK}
-LIB_DEPENDS+=	libfltk.so:${PORTSDIR}/x11-toolkits/fltk
-PLIST_SUB+=	FLTK=""
-SCONS_ARGS+=	buildCsound5GUI=1 buildCSEditor=1 buildWinsound=1 useFLTK=1
-.else
-PLIST_SUB+=	FLTK="@comment "
-SCONS_ARGS+=	buildCsound5GUI=0 buildCSEditor=0 buildWinsound=0 useFLTK=0
-.endif
+SUB_FILES=	pkg-message
 
-.if ${PORT_OPTIONS:MDOCS}
-EXTRACT_DEPENDS+=${LOCALBASE}/bin/unzip:${PORTSDIR}/archivers/unzip
-DISTFILES+=	Csound${PORTVERSION:R}_manual_html.zip:manual
-.endif
+ALSA_LIB_DEPENDS=	libasound.so:${PORTSDIR}/audio/alsa-lib
+ALSA_CMAKE_OFF=		-DUSE_ALSA:BOOL=OFF
+DSSI_BUILD_DEPENDS=	dssi>0:${PORTSDIR}/audio/dssi
+DSSI_RUN_DEPENDS=	dssi>0:${PORTSDIR}/audio/dssi
+DSSI_CMAKE_OFF=		-DBUILD_DSSI_OPCODES:BOOL=OFF
+FLTK_LIB_DEPENDS=	libfltk.so:${PORTSDIR}/x11-toolkits/fltk
+FLTK_CMAKE_ON=		-DBUILD_WINSOUND:BOOL=ON
+FLTK_CMAKE_OFF=		-DUSE_FLTK:BOOL=OFF
+FLUIDSYNTH_LIB_DEPENDS=	libfluidsynth.so:${PORTSDIR}/audio/fluidsynth
+FLUIDSYNTH_CMAKE_OFF=	-DBUILD_FLUID_OPCODES:BOOL=OFF
+JACK_LIB_DEPENDS=	libjack.so:${PORTSDIR}/audio/jack
+JACK_CMAKE_OFF=		-DBUILD_JACK_OPCODES:BOOL=OFF \
+			-DUSE_JACK:BOOL=OFF
+LUA_LIB_DEPENDS=	libluajit-5.1.so:${PORTSDIR}/lang/luajit
+LUA_CMAKE_OFF=		-DBUILD_CSOUND_AC_LUA_INTERFACE:BOOL=OFF \
+			-DBUILD_LUA_INTERFACE:BOOL=OFF \
+			-DBUILD_LUA_OPCODES:BOOL=OFF
+NLS_USES=		gettext
+NLS_CMAKE_OFF=		-DUSE_GETTEXT:BOOL=OFF
+OPENMP_USES=		compiler:openmp
+OPENMP_CMAKE_OFF=	-DUSE_OPEN_MP:BOOL=OFF
+OSC_LIB_DEPENDS=	liblo.so:${PORTSDIR}/audio/liblo
+OSC_CMAKE_OFF=		-DBUILD_OSC_OPCODES:BOOL=OFF
+PNG_LIB_DEPENDS=	libpng15.so:${PORTSDIR}/graphics/png
+PNG_CMAKE_OFF=		-DBUILD_IMAGE_OPCODES:BOOL=OFF
+PORTAUDIO_BUILD_DEPENDS=portaudio2>0:${PORTSDIR}/audio/portaudio2
+PORTAUDIO_RUN_DEPENDS=	portaudio2>0:${PORTSDIR}/audio/portaudio2
+PORTAUDIO_CMAKE_OFF=	-DUSE_PORTAUDIO:BOOL=OFF
+PULSEAUDIO_LIB_DEPENDS=	libpulse-simple.so:${PORTSDIR}/audio/pulseaudio
+PULSEAUDIO_CMAKE_OFF=	-DUSE_PULSEAUDIO:BOOL=OFF
 
+.include <bsd.port.options.mk>
 .include <bsd.port.pre.mk>
 
-.if ${ARCH} == amd64 || ${ARCH} == sparc64 || ${ARCH} == ia64
-CMAKE_ARGS+=	Word64=1
-.endif
-
-post-extract:
-.if ${PORT_OPTIONS:MDOCS}
-	@(cd ${DISTDIR}/${DIST_SUBDIR} && ${UNZIP_CMD} -qo \
-		Csound${PORTVERSION:R}_manual_html.zip -d ${WRKDIR})
+.if ${OSVERSION} < 1000033
+BUILD_DEPENDS+=	${LOCALBASE}/bin/flex:${PORTSDIR}/textproc/flex
+CMAKE_ARGS+=	-DFLEX_EXECUTABLE:STRING="${LOCALBASE}/bin/flex"
 .endif
 
 post-patch:
-	@${SED} -e "s|%%LOCALBASE%%|${LOCALBASE}|g; \
-		s|%%PYTHON_INCLUDEDIR%%|${PYTHON_INCLUDEDIR}|; \
-		s|%%PORTAUDIO_L%%|${PORTAUDIO_L}|; \
-		s|%%PORTAUDIO_R%%|${PORTAUDIO_R}|; \
-		s|%%PTHREAD_LIBS%%|${PTHREAD_LIBS}|" \
-		< ${FILESDIR}/custom.py.in > ${WRKSRC}/custom.py
-	@${REINPLACE_CMD} -e "s|'unsupported'|'linux'|; \
-		s|Exit(-1)|print \"\"|; \
-		/CCFLAGS/s|\['-Wno-format'\]|Split('${CFLAGS}')|; \
-		/CXXFLAGS/s|\['-Wno-format'\]|Split('${CXXFLAGS}')|; \
-		s|/usr/local|${LOCALBASE}|; \
-		s|/usr/X11R6|${LOCALBASE}|; \
-		/\"pthread\"/d; \
-		s|'pthread'|''|; \
-		s|\"portaudio.h\"|\"portaudio2/portaudio.h\"|; \
-		s|\"boost/any.hpp\"|\"##boost/any.hpp##\"|; \
-		s|\"alsa/asoundlib.h\"|\"${ALSA_H}\"|; \
-		s|'xmlfile.h'|'##xmlfile.h##'|; \
-		s|\"pulse/simple.h\"|\"${PULSEAUDIO_H}\"|; \
-		s|\"m_pd.h\"|\"##m_pd.h##\"|; \
-		s|\"tcl.h\"|\"##tcl.h##\"|; \
-		s|'5.2'|'5'|; \
-		s|'dl'|''|; \
-		s|'stdc++'|''|; \
-		s|'-DNO_FLTK_THREADS'|''|; \
-		s|\"fluidsynth.h\"|\"${FLUIDSYNTH_H}\"|; \
-		/mixer_main.c/s|'mixer'|'csmixer'|; \
-		/jpluginEnvironment/s|'asound'|''|; \
-		/portaudioEnvironment/s|'asound'|''|; \
-		/jackEnvironment/s|'asound'|''|; \
-		s| stdc++ | |; \
-		s| pthread | |" ${WRKSRC}/SConstruct
-	@${REINPLACE_CMD} -e "s|<portaudio.h>|<portaudio2/portaudio.h>|" \
+	@${REINPLACE_CMD} -e \
+		'/-O3/s|^|#| ; \
+		 /PYTHON_MODULE_INSTALL_DIR/s|^|#| ; \
+		 /CMAKE_SYSTEM_NAME/s|"Linux"|"${OPSYS}"| ; \
+		 s|(LIBINTL_LIBRARY OR LINUX)|(LIBINTL_LIBRARY)| ; \
+		 s|(NOT LINUX)|(LINUX)| ; \
+		 s|-D_GNU_SOURCE|| ; \
+		 s| dl)|)|' \
+		${WRKSRC}/CMakeLists.txt
+	@${REINPLACE_CMD} -e \
+		's|/usr/local|${LOCALBASE}|' \
+		${WRKSRC}/InOut/CMakeLists.txt
+	@${REINPLACE_CMD} -e \
+		's|<portaudio.h>|<portaudio2/portaudio.h>|' \
 		${WRKSRC}/InOut/rtpa.c
-	@${REINPLACE_CMD} -e "s|linux/if.h|sys/types.h|" \
-		${WRKSRC}/OOps/remote.c
-	@${REINPLACE_CMD} '1658,1659d' \
-		${WRKSRC}/SConstruct
+	@${REINPLACE_CMD} -e \
+		's|/usr/include/Python2.7|${PYTHON_INCLUDEDIR}| ; \
+		 s|/usr/local|${LOCALBASE}| ; \
+		 /linuxjoystick/s|^|#| ; \
+		 s| dl)|)|' \
+		${WRKSRC}/Opcodes/CMakeLists.txt
+	@${REINPLACE_CMD} -e \
+		'/CMAKE_SYSTEM_NAME/s|"Linux"|"${OPSYS}"| ; \
+		 s|--{WINSOUND_H}|$${WINSOUND_H}|' \
+		${WRKSRC}/frontends/CMakeLists.txt
+	@${REINPLACE_CMD} -e \
+		's| mixer)| csmixer)|' \
+		${WRKSRC}/util/CMakeLists.txt
+	@${REINPLACE_CMD} -e \
+		's|_IS_GNUCC)|_IS_GNUCC OR __COMPILER_CLANG)|' \
+		${WRKSRC}/util1/CMakeLists.txt
+
 post-install:
-	@${LN} -sf libcsound64.so.5 ${PREFIX}/lib/libcsound64.so
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
-	@${ECHO_MSG} " Installing manual ${PORTVERSION}. "
-	@(cd ${WRKDIR}/html && ${COPYTREE_SHARE} . ${DOCSDIR})
-	@${ECHO_MSG} " Done."
-.endif
-	@${CAT} ${PKGMESSAGE}
+.for i in libCsoundAC.so libcsnd6.so libcsound64.so
+	@${LN} -sf ${i}.6.0 ${STAGEDIR}${PREFIX}/lib/${i}.6
+.endfor
 
 .include <bsd.port.post.mk>

Modified: head/audio/csound6/distinfo
==============================================================================
--- head/audio/csound/distinfo	Fri Jan 10 16:40:31 2014	(r339369)
+++ head/audio/csound6/distinfo	Fri Jan 10 18:05:29 2014	(r339377)
@@ -1,4 +1,2 @@
-SHA256 (csound/Csound5.18.02.tar.gz) = 4c461cf3bf60b83671224949dd33805379b7121bf2c0ad6af5e191e7f6f8adc8
-SIZE (csound/Csound5.18.02.tar.gz) = 9211491
-SHA256 (csound/Csound5.18_manual_html.zip) = a7347bb1a6b5af3497de95a2df36217a6a42219e2f36a3d6d505cd53b2719cd4
-SIZE (csound/Csound5.18_manual_html.zip) = 9773269
+SHA256 (csound/Csound6.02.tar.gz) = b964199642b1141d4e3253a86996c613c2420c4e2cc39cad347ad7115768c0a5
+SIZE (csound/Csound6.02.tar.gz) = 23459796

Modified: head/audio/csound6/files/patch-InOut-rtalsa.c
==============================================================================
--- head/audio/csound/files/patch-InOut-rtalsa.c	Fri Jan 10 16:40:31 2014	(r339369)
+++ head/audio/csound6/files/patch-InOut-rtalsa.c	Fri Jan 10 18:05:29 2014	(r339377)
@@ -1,6 +1,6 @@
 --- InOut/rtalsa.c.orig	2011-12-22 19:41:53.000000000 +0900
 +++ InOut/rtalsa.c	2011-12-27 23:53:00.000000000 +0900
-@@ -22,6 +22,7 @@
+@@ -23,6 +23,7 @@
      02111-1307 USA
  */
  
@@ -8,7 +8,7 @@
  #ifndef _ISOC99_SOURCE
  #define _ISOC99_SOURCE 1
  #endif
-@@ -35,6 +36,7 @@
+@@ -39,6 +40,7 @@
  #ifndef _POSIX_C_SOURCE
  #define _POSIX_C_SOURCE 1
  #endif
@@ -16,3 +16,12 @@
  
  #include "csdl.h"
  
+@@ -57,6 +59,8 @@
+ #include <signal.h>
+ #include <sys/mman.h>
+ #include <sys/resource.h>
++#include <stdlib.h>
++#include <sys/fcntl.h>
+ 
+ 
+ #include "soundio.h"

Modified: head/audio/csound6/files/patch-Top-csound.c
==============================================================================
--- head/audio/csound/files/patch-Top-csound.c	Fri Jan 10 16:40:31 2014	(r339369)
+++ head/audio/csound6/files/patch-Top-csound.c	Fri Jan 10 18:05:29 2014	(r339377)
@@ -1,14 +1,13 @@
 --- Top/csound.c.orig	2011-10-16 22:59:03.000000000 +0900
 +++ Top/csound.c	2011-12-07 01:15:33.000000000 +0900
-@@ -67,11 +67,14 @@
+@@ -60,10 +60,13 @@
+ #include "cs_par_dispatch.h"
+ #include "csound_orc_semantics.h"
  
-   /* **** MAJOR PROBLEM: PTHREAD_SPINLOCK_INITIALIZER is not defined in Linux */
- 
--#ifdef linux
-+#if defined(linux) || defined(__FreeBSD__)
-   #define PTHREAD_SPINLOCK_INITIALIZER 0
+-#if defined(linux) || defined(__HAIKU__)
++#if defined(linux) || defined(__HAIKU__) || defined(__FreeBSD__)
+ #define PTHREAD_SPINLOCK_INITIALIZER 0
  #endif
- #endif /* PARCS */
  
 +#if defined(__FreeBSD__)
 +#include <sys/sysctl.h>
@@ -16,17 +15,17 @@
  #if defined(USE_OPENMP)
  #include <omp.h>
  #endif /* USE_OPENMP */
-@@ -383,7 +386,7 @@
-     0.0,            /*  curBeat             */
-     0.0,            /*  curBeat_inc         */
-     0.0,            /*  beatTime            */
--#if defined(HAVE_PTHREAD_SPIN_LOCK) && defined(PARCS)
-+#if defined(__GNUC__) && defined(HAVE_PTHREAD_SPIN_LOCK) && defined(PARCS)
-     PTHREAD_SPINLOCK_INITIALIZER,              /*  spoutlock           */
-     PTHREAD_SPINLOCK_INITIALIZER,              /*  spinlock            */
- #else
-@@ -2854,7 +2857,7 @@
-   /* ------------------------------------ */
+@@ -899,7 +902,7 @@
+ 
+ #if defined(ANDROID) || (!defined(LINUX) && !defined(SGI) && \
+                          !defined(__HAIKU__) && !defined(__BEOS__) && \
+-                         !defined(__MACH__))
++                         !defined(__MACH__) && !defined(__FreeBSD__))
+ static char *signal_to_string(int sig)
+ {
+     switch(sig) {
+@@ -3172,7 +3175,7 @@
+ /* ------------------------------------ */
  
  #if defined(HAVE_RDTSC)
 -#if !(defined(LINUX) && defined(__GNUC__) && defined(__i386__))
@@ -34,32 +33,32 @@
  #undef HAVE_RDTSC
  #endif
  #endif
-@@ -2867,6 +2870,13 @@
-   static int getTimeResolution(void)
-   {
+@@ -3185,6 +3188,13 @@
+ static int getTimeResolution(void)
+ {
  #if defined(HAVE_RDTSC)
 +#if defined(__FreeBSD__)
-+      size_t size;
-+      int timeResolutionSeconds;
-+      size = sizeof timeResolutionSeconds;
-+      sysctlbyname("hw.clockrate", &timeResolutionSeconds, &size, NULL, 0);
++    size_t size;
++    int timeResolutionSeconds;
++    size = sizeof timeResolutionSeconds;
++    sysctlbyname("hw.clockrate", &timeResolutionSeconds, &size, NULL, 0);
 +
 +#else
-       FILE    *f;
-       char    buf[256];
+     FILE    *f;
+     char    buf[256];
  
-@@ -2923,9 +2933,14 @@
-         }
+@@ -3220,9 +3230,14 @@
        }
-       fclose(f);
+     }
+     fclose(f);
 +#endif /* __FreeBSD__ */
-       if (UNLIKELY(timeResolutionSeconds <= 0.0)) {
-         fprintf(stderr, Str("No valid CPU frequency entry "
+     if (UNLIKELY(timeResolutionSeconds <= 0.0)) {
+       fprintf(stderr, Str("No valid CPU frequency entry "
 +#if defined(__FreeBSD__)
-+                            "was found.\n"));
++                          "was found.\n"));
 +#else
-                             "was found in /proc/cpuinfo.\n"));
+                           "was found in /proc/cpuinfo.\n"));
 +#endif /* __FreeBSD__ */
-         return -1;
-       }
-       /* MHz -> seconds */
+       return -1;
+     }
+     /* MHz -> seconds */

Added: head/audio/csound6/files/patch-frontends__CsoundAC__ChordSpace.hpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/csound6/files/patch-frontends__CsoundAC__ChordSpace.hpp	Fri Jan 10 18:05:29 2014	(r339377)
@@ -0,0 +1,19 @@
+--- frontends/CsoundAC/ChordSpace.hpp.orig
++++ frontends/CsoundAC/ChordSpace.hpp
+@@ -29,6 +29,7 @@
+ #include <climits>
+ #include <cmath>
+ #include <cstdarg>
++#include <cstdio>
+ #include <eigen3/Eigen/Dense>
+ #include "Event.hpp"
+ #include <iostream>
+@@ -545,7 +546,7 @@
+ 		char buffer[0x1000];
+ 		std::stringstream stream;
+ 		for (size_t voice = 0; voice < voices(); ++voice) {
+-			std::snprintf(buffer, 0x100, "%12.7f", getPitch(voice));
++			snprintf(buffer, 0x100, "%12.7f", getPitch(voice));
+ 			if (voice > 0) {
+ 				stream << " ";
+ 			}

Added: head/audio/csound6/files/patch-frontends__CsoundAC__Composition.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/csound6/files/patch-frontends__CsoundAC__Composition.cpp	Fri Jan 10 18:05:29 2014	(r339377)
@@ -0,0 +1,37 @@
+--- frontends/CsoundAC/Composition.cpp.orig
++++ frontends/CsoundAC/Composition.cpp
+@@ -22,6 +22,7 @@
+ #endif
+ #include "Composition.hpp"
+ #include "System.hpp"
++#include <cstdio>
+ #include <cstdlib>
+ #include <map>
+ 
+@@ -289,7 +290,7 @@
+   int Composition::normalizeOutputSoundfile(double levelDb)
+   {
+     char buffer[0x100];
+-    std::snprintf(buffer,
++    snprintf(buffer,
+                   0x100,
+                   "sox %s -V3 -b 32 -e floating-point %s gain -n %f\n",
+                   getOutputSoundfileName().c_str(),
+@@ -307,7 +308,7 @@
+   int Composition::translateToCdAudio(double levelDb)
+   {
+     char buffer[0x100];
+-    std::snprintf(buffer, 0x100, "sox %s -V3 -b 16 %s gain -n %f rate 44100\n",
++    snprintf(buffer, 0x100, "sox %s -V3 -b 16 %s gain -n %f rate 44100\n",
+                   getOutputSoundfileName().c_str(),
+                   getCdSoundfileName().c_str(),
+                   levelDb);
+@@ -323,7 +324,7 @@
+   int Composition::translateToMp3(double bitrate, double levelDb)
+   {
+     char buffer[0x100];
+-    std::snprintf(buffer,
++    snprintf(buffer,
+                   0x100,
+                   "lame --verbose --disptime 2 --nohist --preset cd --tt %s --ta %s --tl %s --tc %s %s %s\n",
+                   getTitle().c_str(),

Modified: head/audio/csound6/pkg-descr
==============================================================================
--- head/audio/csound/pkg-descr	Fri Jan 10 16:40:31 2014	(r339369)
+++ head/audio/csound6/pkg-descr	Fri Jan 10 18:05:29 2014	(r339377)
@@ -1,19 +1,21 @@
-Csound is a programming language designed and optimized for sound rendering and
-signal processing. The language consists of over 450 opcodes - the operational
-codes that the sound designer uses to build "instruments" or patches.
+Csound is a programming language designed and optimized for sound
+rendering and signal processing. The language consists of over 450
+opcodes - the operational codes that the sound designer uses to build
+"instruments" or patches.
 
-Although there are an increasing number of graphical "front-ends" for the
-language, you typically design and modify your patches using a word processor.
-Usually, you create two text files - a .orc (orchestra) file containing the
-"instruments," and a .sco (score) file containing the "notes."
+Although there are an increasing number of graphical "front-ends" for
+the language, you typically design and modify your patches using a word
+processor. Usually, you create two text files - a .orc (orchestra) file
+containing the "instruments," and a .sco (score) file containing the
+"notes."
 
 In Csound, the complexity of your patches is limited by your knowledge,
-interest, and need, but never by the language itself. For instance, a 22,050
-oscillator additive synthesizer with 1024 stage envelope generators on each is
-merely a copy-and-paste operation.  The same goes for a 1 million voice
-granular texture!
+interest, and need, but never by the language itself. For instance, a
+22,050 oscillator additive synthesizer with 1024 stage envelope
+generators on each is merely a copy-and-paste operation. The same goes
+for a 1 million voice granular texture!
 
-Have you ever dreamed of sounds such as these? Well in Csound you can. And in
-Csound these dreams can come true!
+Have you ever dreamed of sounds such as these? Well in Csound you can.
+And in Csound these dreams can come true!
 
-WWW: http://csound.sourceforge.net/
+WWW: http://www.csounds.com/

Modified: head/audio/csound6/pkg-plist
==============================================================================
--- head/audio/csound/pkg-plist	Fri Jan 10 16:40:31 2014	(r339369)
+++ head/audio/csound6/pkg-plist	Fri Jan 10 18:05:29 2014	(r339377)
@@ -1,10 +1,10 @@
 bin/atsa
 bin/cs
+bin/csanalyze
 bin/csb64enc
 bin/csbeats
 bin/csmixer
 bin/csound
-%%FLTK%%bin/csound5gui
 bin/cvanal
 bin/dnoise
 bin/envext
@@ -22,6 +22,7 @@ bin/pv_import
 bin/pvanal
 bin/pvlook
 bin/scale
+bin/scope
 bin/scot
 bin/scsort
 bin/sdif2ad
@@ -33,2833 +34,87 @@ include/csound/CsoundFile.hpp
 include/csound/OpcodeBase.hpp
 include/csound/cfgvar.h
 include/csound/csPerfThread.hpp
+include/csound/cs_par_structs.h
 include/csound/cscore.h
 include/csound/csdl.h
 include/csound/csound.h
 include/csound/csound.hpp
 include/csound/csoundCore.h
+include/csound/csound_data_structures.h
+include/csound/csound_standard_types.h
+include/csound/csound_type_system.h
 include/csound/cwindow.h
 include/csound/filebuilding.h
+include/csound/float-version-double.h
 include/csound/float-version.h
+include/csound/interlocks.h
 include/csound/msg_attr.h
+include/csound/pools.h
 include/csound/pstream.h
 include/csound/pvfileio.h
 include/csound/soundio.h
 include/csound/sysdep.h
 include/csound/text.h
 include/csound/version.h
-include/csound/interlocks.h
-lib/csound/plugins64/libplaterev.so
-lib/csound/plugins64/libampmidid.so
-lib/csound/plugins64/libcellular.so
-lib/csound/plugins64/libcontrol.so
-lib/csound/plugins64/libcs_date.so
-lib/csound/plugins64/libdoppler.so
-%%DSSI%%lib/csound/plugins64/libdssi4cs.so
-lib/csound/plugins64/libfareygen.so
-%%FLUIDSYNTH%%lib/csound/plugins64/libfluidOpcodes.so
-lib/csound/plugins64/libfractalnoise.so
-lib/csound/plugins64/libimage.so
-%%JACK%%lib/csound/plugins64/libjackTransport.so
-%%JACK%%lib/csound/plugins64/libjacko.so
-lib/csound/plugins64/liblinear_algebra.so
-lib/csound/plugins64/libmixer.so
-%%OSC%%lib/csound/plugins64/libosc.so
-%%ALSA%%lib/csound/plugins64/librtalsa.so
-%%JACK%%lib/csound/plugins64/librtjack.so
-%%PORTAUDIO%%lib/csound/plugins64/librtpa.so
-%%PULSEAUDIO%%lib/csound/plugins64/librtpulse.so
-lib/csound/plugins64/libscansyn.so
-lib/csound/plugins64/libserial.so
-lib/csound/plugins64/libsignalflowgraph.so
-lib/csound/plugins64/libstdutil.so
-lib/csound/plugins64/libsystem_call.so
-lib/csound/plugins64/libudprecv.so
-lib/csound/plugins64/libudpsend.so
-lib/csound/plugins64/liburandom.so
-%%FLTK%%lib/csound/plugins64/libvirtual.so
-%%FLTK%%lib/csound/plugins64/libwidgets.so
-lib/libcsladspa.so
-lib/libcsnd.so.5
+lib/csound/plugins-6.0/csladspa.so
+%%LUA%%lib/csound/plugins-6.0/libLuaCsound.so
+lib/csound/plugins-6.0/libampmidid.so
+lib/csound/plugins-6.0/libcellular.so
+lib/csound/plugins-6.0/libchua.so
+lib/csound/plugins-6.0/libcontrol.so
+lib/csound/plugins-6.0/libcs_date.so
+lib/csound/plugins-6.0/libdoppler.so
+%%DSSI%%lib/csound/plugins-6.0/libdssi4cs.so
+lib/csound/plugins-6.0/libfareygen.so
+%%FLUIDSYNTH%%lib/csound/plugins-6.0/libfluidOpcodes.so
+lib/csound/plugins-6.0/libfractalnoise.so
+%%PNG%%lib/csound/plugins-6.0/libimage.so
+lib/csound/plugins-6.0/libipmidi.so
+%%JACK%%lib/csound/plugins-6.0/libjackTransport.so
+%%JACK%%lib/csound/plugins-6.0/libjacko.so
+lib/csound/plugins-6.0/liblinear_algebra.so
+lib/csound/plugins-6.0/libmixer.so
+%%OSC%%lib/csound/plugins-6.0/libosc.so
+lib/csound/plugins-6.0/libplaterev.so
+lib/csound/plugins-6.0/libpy.so
+%%ALSA%%lib/csound/plugins-6.0/librtalsa.so
+%%JACK%%lib/csound/plugins-6.0/librtjack.so
+%%PORTAUDIO%%lib/csound/plugins-6.0/librtpa.so
+%%PULSEAUDIO%%lib/csound/plugins-6.0/librtpulse.so
+lib/csound/plugins-6.0/libscansyn.so
+lib/csound/plugins-6.0/libserial.so
+lib/csound/plugins-6.0/libsignalflowgraph.so
+lib/csound/plugins-6.0/libstdutil.so
+lib/csound/plugins-6.0/libsystem_call.so
+lib/csound/plugins-6.0/liburandom.so
+lib/csound/plugins-6.0/libvirtual.so
+%%FLTK%%lib/csound/plugins-6.0/libwidgets.so
+lib/libCsoundAC.so
+lib/libCsoundAC.so.6
+lib/libCsoundAC.so.6.0
+lib/libcsnd6.so
+lib/libcsnd6.so.6
+lib/libcsnd6.so.6.0
 lib/libcsound64.so
-lib/libcsound64.so.5
-%%PORTDOCS%%%%DOCSDIR%%/ATSadd.html
-%%PORTDOCS%%%%DOCSDIR%%/ATSaddnz.html
-%%PORTDOCS%%%%DOCSDIR%%/ATSbufread.html
-%%PORTDOCS%%%%DOCSDIR%%/ATScross.html
-%%PORTDOCS%%%%DOCSDIR%%/ATSinfo.html
-%%PORTDOCS%%%%DOCSDIR%%/ATSinterpread.html
-%%PORTDOCS%%%%DOCSDIR%%/ATSpartialtap.html
-%%PORTDOCS%%%%DOCSDIR%%/ATSread.html
-%%PORTDOCS%%%%DOCSDIR%%/ATSreadnz.html
-%%PORTDOCS%%%%DOCSDIR%%/ATSsinnoi.html
-%%PORTDOCS%%%%DOCSDIR%%/BuildingCsound.html
-%%PORTDOCS%%%%DOCSDIR%%/CommandCsoundVST.html
-%%PORTDOCS%%%%DOCSDIR%%/CommandDesc.html
-%%PORTDOCS%%%%DOCSDIR%%/CommandEnvironment.html
-%%PORTDOCS%%%%DOCSDIR%%/CommandFlags.html
-%%PORTDOCS%%%%DOCSDIR%%/CommandFlagsCategory.html
-%%PORTDOCS%%%%DOCSDIR%%/CommandPreindie.html
-%%PORTDOCS%%%%DOCSDIR%%/CommandPreproc.html
-%%PORTDOCS%%%%DOCSDIR%%/CommandTop.html
-%%PORTDOCS%%%%DOCSDIR%%/CommandUnifile.html
-%%PORTDOCS%%%%DOCSDIR%%/CommandUnifileExample.html
-%%PORTDOCS%%%%DOCSDIR%%/CommandUnifileParFile.html
-%%PORTDOCS%%%%DOCSDIR%%/Configuring.html
-%%PORTDOCS%%%%DOCSDIR%%/ControlConditional.html
-%%PORTDOCS%%%%DOCSDIR%%/ControlDurctl.html
-%%PORTDOCS%%%%DOCSDIR%%/ControlFltkAppearance.html
-%%PORTDOCS%%%%DOCSDIR%%/ControlFltkGeneral.html
-%%PORTDOCS%%%%DOCSDIR%%/ControlFltkIntro.html
-%%PORTDOCS%%%%DOCSDIR%%/ControlFltkOther.html
-%%PORTDOCS%%%%DOCSDIR%%/ControlFltkValuators.html
-%%PORTDOCS%%%%DOCSDIR%%/ControlInvocat.html
-%%PORTDOCS%%%%DOCSDIR%%/ControlPgmctl.html
-%%PORTDOCS%%%%DOCSDIR%%/ControlRealtime.html
-%%PORTDOCS%%%%DOCSDIR%%/ControlReinitn.html
-%%PORTDOCS%%%%DOCSDIR%%/ControlSensing.html
-%%PORTDOCS%%%%DOCSDIR%%/ControlStacks.html
-%%PORTDOCS%%%%DOCSDIR%%/ControlSubinstrument.html
-%%PORTDOCS%%%%DOCSDIR%%/ControlTimeread.html
-%%PORTDOCS%%%%DOCSDIR%%/ControlTop.html
-%%PORTDOCS%%%%DOCSDIR%%/CsBeats.html
-%%PORTDOCS%%%%DOCSDIR%%/CscoreAdvancd.html
-%%PORTDOCS%%%%DOCSDIR%%/CscoreCompile.html
-%%PORTDOCS%%%%DOCSDIR%%/CscoreMain.html
-%%PORTDOCS%%%%DOCSDIR%%/CscoreTop.html
-%%PORTDOCS%%%%DOCSDIR%%/CsoundLinks.html
-%%PORTDOCS%%%%DOCSDIR%%/FLbox.html
-%%PORTDOCS%%%%DOCSDIR%%/FLbutBank.html
-%%PORTDOCS%%%%DOCSDIR%%/FLbutton.html
-%%PORTDOCS%%%%DOCSDIR%%/FLcloseButton.html
-%%PORTDOCS%%%%DOCSDIR%%/FLcolor.html
-%%PORTDOCS%%%%DOCSDIR%%/FLcolor2.html
-%%PORTDOCS%%%%DOCSDIR%%/FLcount.html
-%%PORTDOCS%%%%DOCSDIR%%/FLexecButton.html
-%%PORTDOCS%%%%DOCSDIR%%/FLgetsnap.html
-%%PORTDOCS%%%%DOCSDIR%%/FLgroup.html
-%%PORTDOCS%%%%DOCSDIR%%/FLgroupEnd.html
-%%PORTDOCS%%%%DOCSDIR%%/FLgroup_end.html
-%%PORTDOCS%%%%DOCSDIR%%/FLhide.html
-%%PORTDOCS%%%%DOCSDIR%%/FLhvsBox.html
-%%PORTDOCS%%%%DOCSDIR%%/FLhvsBoxSetValue.html
-%%PORTDOCS%%%%DOCSDIR%%/FLjoy.html
-%%PORTDOCS%%%%DOCSDIR%%/FLkeyIn.html
-%%PORTDOCS%%%%DOCSDIR%%/FLknob.html
-%%PORTDOCS%%%%DOCSDIR%%/FLlabel.html
-%%PORTDOCS%%%%DOCSDIR%%/FLloadsnap.html
-%%PORTDOCS%%%%DOCSDIR%%/FLmouse.html
-%%PORTDOCS%%%%DOCSDIR%%/FLpack.html
-%%PORTDOCS%%%%DOCSDIR%%/FLpackEnd.html
-%%PORTDOCS%%%%DOCSDIR%%/FLpack_end.html
-%%PORTDOCS%%%%DOCSDIR%%/FLpanel.html
-%%PORTDOCS%%%%DOCSDIR%%/FLpanelEnd.html
-%%PORTDOCS%%%%DOCSDIR%%/FLpanel_end.html
-%%PORTDOCS%%%%DOCSDIR%%/FLprintk.html
-%%PORTDOCS%%%%DOCSDIR%%/FLprintk2.html
-%%PORTDOCS%%%%DOCSDIR%%/FLroller.html
-%%PORTDOCS%%%%DOCSDIR%%/FLrun.html
-%%PORTDOCS%%%%DOCSDIR%%/FLsavesnap.html
-%%PORTDOCS%%%%DOCSDIR%%/FLscroll.html
-%%PORTDOCS%%%%DOCSDIR%%/FLscrollEnd.html
-%%PORTDOCS%%%%DOCSDIR%%/FLscroll_end.html
-%%PORTDOCS%%%%DOCSDIR%%/FLsetAlign.html
-%%PORTDOCS%%%%DOCSDIR%%/FLsetBox.html
-%%PORTDOCS%%%%DOCSDIR%%/FLsetColor.html
-%%PORTDOCS%%%%DOCSDIR%%/FLsetColor2.html
-%%PORTDOCS%%%%DOCSDIR%%/FLsetFont.html
-%%PORTDOCS%%%%DOCSDIR%%/FLsetPosition.html
-%%PORTDOCS%%%%DOCSDIR%%/FLsetSize.html
-%%PORTDOCS%%%%DOCSDIR%%/FLsetSnapGroup.html
-%%PORTDOCS%%%%DOCSDIR%%/FLsetText.html
-%%PORTDOCS%%%%DOCSDIR%%/FLsetTextColor.html
-%%PORTDOCS%%%%DOCSDIR%%/FLsetTextSize.html
-%%PORTDOCS%%%%DOCSDIR%%/FLsetTextType.html
-%%PORTDOCS%%%%DOCSDIR%%/FLsetVal.html
-%%PORTDOCS%%%%DOCSDIR%%/FLsetVal_i.html
-%%PORTDOCS%%%%DOCSDIR%%/FLsetsnap.html
-%%PORTDOCS%%%%DOCSDIR%%/FLshow.html
-%%PORTDOCS%%%%DOCSDIR%%/FLslidBnk.html
-%%PORTDOCS%%%%DOCSDIR%%/FLslidBnk2.html
-%%PORTDOCS%%%%DOCSDIR%%/FLslidBnk2Set.html
-%%PORTDOCS%%%%DOCSDIR%%/FLslidBnk2Setk.html
-%%PORTDOCS%%%%DOCSDIR%%/FLslidBnkGetHandle.html
-%%PORTDOCS%%%%DOCSDIR%%/FLslidBnkSet.html
-%%PORTDOCS%%%%DOCSDIR%%/FLslidBnkSetk.html
-%%PORTDOCS%%%%DOCSDIR%%/FLslider.html
-%%PORTDOCS%%%%DOCSDIR%%/FLtabs.html
-%%PORTDOCS%%%%DOCSDIR%%/FLtabsEnd.html
-%%PORTDOCS%%%%DOCSDIR%%/FLtabs_end.html
-%%PORTDOCS%%%%DOCSDIR%%/FLtext.html
-%%PORTDOCS%%%%DOCSDIR%%/FLupdate.html
-%%PORTDOCS%%%%DOCSDIR%%/FLvalue.html
-%%PORTDOCS%%%%DOCSDIR%%/FLvkeybd.html
-%%PORTDOCS%%%%DOCSDIR%%/FLvslidBnk.html
-%%PORTDOCS%%%%DOCSDIR%%/FLvslidBnk2.html
-%%PORTDOCS%%%%DOCSDIR%%/FLxyin.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN01.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN02.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN03.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN04.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN05.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN06.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN07.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN08.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN09.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN10.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN11.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN12.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN13.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN14.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN15.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN16.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN17.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN18.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN19.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN20.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN21.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN22.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN23.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN24.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN25.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN27.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN28.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN30.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN31.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN32.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN33.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN34.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN40.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN41.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN42.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN43.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN49.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN51.html
-%%PORTDOCS%%%%DOCSDIR%%/GEN52.html
-%%PORTDOCS%%%%DOCSDIR%%/GENexp.html
-%%PORTDOCS%%%%DOCSDIR%%/GENfarey.html
-%%PORTDOCS%%%%DOCSDIR%%/GENsone.html
-%%PORTDOCS%%%%DOCSDIR%%/GENtanh.html
-%%PORTDOCS%%%%DOCSDIR%%/ImageopcodesTop.html
-%%PORTDOCS%%%%DOCSDIR%%/Introduction.html
-%%PORTDOCS%%%%DOCSDIR%%/JackoAudioIn.html
-%%PORTDOCS%%%%DOCSDIR%%/JackoAudioInConnect.html
-%%PORTDOCS%%%%DOCSDIR%%/JackoAudioOut.html
-%%PORTDOCS%%%%DOCSDIR%%/JackoAudioOutConnect.html
-%%PORTDOCS%%%%DOCSDIR%%/JackoFreewheel.html
-%%PORTDOCS%%%%DOCSDIR%%/JackoInfo.html
-%%PORTDOCS%%%%DOCSDIR%%/JackoInit.html
-%%PORTDOCS%%%%DOCSDIR%%/JackoMidiInConnect.html
-%%PORTDOCS%%%%DOCSDIR%%/JackoMidiOut.html
-%%PORTDOCS%%%%DOCSDIR%%/JackoMidiOutConnect.html
-%%PORTDOCS%%%%DOCSDIR%%/JackoNoteOut.html
-%%PORTDOCS%%%%DOCSDIR%%/JackoOn.html
-%%PORTDOCS%%%%DOCSDIR%%/JackoOpcodes.html
-%%PORTDOCS%%%%DOCSDIR%%/JackoTransport.html
-%%PORTDOCS%%%%DOCSDIR%%/MathArtLogic.html
-%%PORTDOCS%%%%DOCSDIR%%/MathMatfunc.html
-%%PORTDOCS%%%%DOCSDIR%%/MathOpeqfunc.html
-%%PORTDOCS%%%%DOCSDIR%%/MathRndfunc.html
-%%PORTDOCS%%%%DOCSDIR%%/MathTop.html
-%%PORTDOCS%%%%DOCSDIR%%/MathTrig.html
-%%PORTDOCS%%%%DOCSDIR%%/MidiConvert.html
-%%PORTDOCS%%%%DOCSDIR%%/MidiExtender.html
-%%PORTDOCS%%%%DOCSDIR%%/MidiGeneric.html
-%%PORTDOCS%%%%DOCSDIR%%/MidiInput.html
-%%PORTDOCS%%%%DOCSDIR%%/MidiInterop.html
-%%PORTDOCS%%%%DOCSDIR%%/MidiOnoff.html
-%%PORTDOCS%%%%DOCSDIR%%/MidiOutput.html
-%%PORTDOCS%%%%DOCSDIR%%/MidiRealtime.html
-%%PORTDOCS%%%%DOCSDIR%%/MidiSlidrbk.html
-%%PORTDOCS%%%%DOCSDIR%%/MidiTop.html
-%%PORTDOCS%%%%DOCSDIR%%/MiscAmp.html
-%%PORTDOCS%%%%DOCSDIR%%/MiscCsound64.html
-%%PORTDOCS%%%%DOCSDIR%%/MiscExamples.html
-%%PORTDOCS%%%%DOCSDIR%%/MiscFormants.html
-%%PORTDOCS%%%%DOCSDIR%%/MiscGlossary.html
-%%PORTDOCS%%%%DOCSDIR%%/MiscModalFreq.html
-%%PORTDOCS%%%%DOCSDIR%%/MiscPitch.html
-%%PORTDOCS%%%%DOCSDIR%%/MiscQuickref.html
-%%PORTDOCS%%%%DOCSDIR%%/MiscSf2.html
-%%PORTDOCS%%%%DOCSDIR%%/MiscWindows.html
-%%PORTDOCS%%%%DOCSDIR%%/MiscopcodesTop.html
-%%PORTDOCS%%%%DOCSDIR%%/MixerClear.html
-%%PORTDOCS%%%%DOCSDIR%%/MixerGetLevel.html
-%%PORTDOCS%%%%DOCSDIR%%/MixerOpcodes.html
-%%PORTDOCS%%%%DOCSDIR%%/MixerReceive.html
-%%PORTDOCS%%%%DOCSDIR%%/MixerSend.html
-%%PORTDOCS%%%%DOCSDIR%%/MixerSetLevel.html
-%%PORTDOCS%%%%DOCSDIR%%/MixerSetLevel_i.html
-%%PORTDOCS%%%%DOCSDIR%%/Network.html
-%%PORTDOCS%%%%DOCSDIR%%/OSCNetwork.html
-%%PORTDOCS%%%%DOCSDIR%%/OSCinit.html
-%%PORTDOCS%%%%DOCSDIR%%/OSClisten.html
-%%PORTDOCS%%%%DOCSDIR%%/OSCsend.html
-%%PORTDOCS%%%%DOCSDIR%%/OpcodesTop.html
-%%PORTDOCS%%%%DOCSDIR%%/OrchDirFiles.html
-%%PORTDOCS%%%%DOCSDIR%%/OrchExpress.html
-%%PORTDOCS%%%%DOCSDIR%%/OrchIblock.html
-%%PORTDOCS%%%%DOCSDIR%%/OrchKvar.html
-%%PORTDOCS%%%%DOCSDIR%%/OrchMacros.html
-%%PORTDOCS%%%%DOCSDIR%%/OrchNamedInstruments.html
-%%PORTDOCS%%%%DOCSDIR%%/OrchNomen.html
-%%PORTDOCS%%%%DOCSDIR%%/OrchStatemnt.html
-%%PORTDOCS%%%%DOCSDIR%%/OrchTop.html
-%%PORTDOCS%%%%DOCSDIR%%/OrchUDO.html
-%%PORTDOCS%%%%DOCSDIR%%/Orchtab.html
-%%PORTDOCS%%%%DOCSDIR%%/OviewFrontEnds.html
-%%PORTDOCS%%%%DOCSDIR%%/PartOpcodesOverview.html
-%%PORTDOCS%%%%DOCSDIR%%/PartOverview.html
-%%PORTDOCS%%%%DOCSDIR%%/PartReference.html
-%%PORTDOCS%%%%DOCSDIR%%/PitchTop.html
-%%PORTDOCS%%%%DOCSDIR%%/PitchTuning.html
-%%PORTDOCS%%%%DOCSDIR%%/PluginTop.html
-%%PORTDOCS%%%%DOCSDIR%%/PrefaceCopy.html
-%%PORTDOCS%%%%DOCSDIR%%/PrefaceGettingStarted.html
-%%PORTDOCS%%%%DOCSDIR%%/PrefaceHistory.html
-%%PORTDOCS%%%%DOCSDIR%%/PrefaceTop.html
-%%PORTDOCS%%%%DOCSDIR%%/PrefaceWhatsNew.html
-%%PORTDOCS%%%%DOCSDIR%%/PythonOpcodesSyntax.html
-%%PORTDOCS%%%%DOCSDIR%%/RealTimeMac.html
-%%PORTDOCS%%%%DOCSDIR%%/RealTimeWindows.html
-%%PORTDOCS%%%%DOCSDIR%%/RecentDevelopments.html
-%%PORTDOCS%%%%DOCSDIR%%/Remote.html
-%%PORTDOCS%%%%DOCSDIR%%/STKBandedWG.html
-%%PORTDOCS%%%%DOCSDIR%%/STKBeeThree.html
-%%PORTDOCS%%%%DOCSDIR%%/STKBlowBotl.html
-%%PORTDOCS%%%%DOCSDIR%%/STKBlowHole.html
-%%PORTDOCS%%%%DOCSDIR%%/STKBowed.html
-%%PORTDOCS%%%%DOCSDIR%%/STKBrass.html
-%%PORTDOCS%%%%DOCSDIR%%/STKClarinet.html
-%%PORTDOCS%%%%DOCSDIR%%/STKDrummer.html
-%%PORTDOCS%%%%DOCSDIR%%/STKFMVoices.html
-%%PORTDOCS%%%%DOCSDIR%%/STKFlute.html
-%%PORTDOCS%%%%DOCSDIR%%/STKHevyMetl.html
-%%PORTDOCS%%%%DOCSDIR%%/STKMandolin.html
-%%PORTDOCS%%%%DOCSDIR%%/STKModalBar.html
-%%PORTDOCS%%%%DOCSDIR%%/STKMoog.html
-%%PORTDOCS%%%%DOCSDIR%%/STKPercFlut.html
-%%PORTDOCS%%%%DOCSDIR%%/STKPlucked.html
-%%PORTDOCS%%%%DOCSDIR%%/STKResonate.html
-%%PORTDOCS%%%%DOCSDIR%%/STKRhodey.html
-%%PORTDOCS%%%%DOCSDIR%%/STKSaxofony.html
-%%PORTDOCS%%%%DOCSDIR%%/STKShakers.html
-%%PORTDOCS%%%%DOCSDIR%%/STKSimple.html
-%%PORTDOCS%%%%DOCSDIR%%/STKSitar.html
-%%PORTDOCS%%%%DOCSDIR%%/STKStifKarp.html
-%%PORTDOCS%%%%DOCSDIR%%/STKTubeBell.html
-%%PORTDOCS%%%%DOCSDIR%%/STKVoicForm.html
-%%PORTDOCS%%%%DOCSDIR%%/STKWhistle.html
-%%PORTDOCS%%%%DOCSDIR%%/STKWurley.html
-%%PORTDOCS%%%%DOCSDIR%%/ScoreEval.html
-%%PORTDOCS%%%%DOCSDIR%%/ScoreGenRef.html
-%%PORTDOCS%%%%DOCSDIR%%/ScoreMacros.html
-%%PORTDOCS%%%%DOCSDIR%%/ScoreMult.html
-%%PORTDOCS%%%%DOCSDIR%%/ScoreNextp.html
-%%PORTDOCS%%%%DOCSDIR%%/ScoreRamping.html
-%%PORTDOCS%%%%DOCSDIR%%/ScoreStatements.html
-%%PORTDOCS%%%%DOCSDIR%%/ScoreStrings.html
-%%PORTDOCS%%%%DOCSDIR%%/ScoreTop.html
-%%PORTDOCS%%%%DOCSDIR%%/ScoregensTop.html
-%%PORTDOCS%%%%DOCSDIR%%/SigProcConmorph.html
-%%PORTDOCS%%%%DOCSDIR%%/SiggenBasic.html
-%%PORTDOCS%%%%DOCSDIR%%/SiggenDynamic.html
-%%PORTDOCS%%%%DOCSDIR%%/SiggenEnvelope.html
-%%PORTDOCS%%%%DOCSDIR%%/SiggenFmsynth.html
-%%PORTDOCS%%%%DOCSDIR%%/SiggenGranular.html
-%%PORTDOCS%%%%DOCSDIR%%/SiggenHvs.html
-%%PORTDOCS%%%%DOCSDIR%%/SiggenLineexp.html
-%%PORTDOCS%%%%DOCSDIR%%/SiggenModels.html
-%%PORTDOCS%%%%DOCSDIR%%/SiggenNoise.html
-%%PORTDOCS%%%%DOCSDIR%%/SiggenPhasors.html
-%%PORTDOCS%%%%DOCSDIR%%/SiggenSample.html
-%%PORTDOCS%%%%DOCSDIR%%/SiggenScanTop.html
-%%PORTDOCS%%%%DOCSDIR%%/SiggenTableacc.html
-%%PORTDOCS%%%%DOCSDIR%%/SiggenTop.html
-%%PORTDOCS%%%%DOCSDIR%%/SiggenWaveterr.html
-%%PORTDOCS%%%%DOCSDIR%%/SiggenWavguide.html
-%%PORTDOCS%%%%DOCSDIR%%/SigioInput.html
-%%PORTDOCS%%%%DOCSDIR%%/SigioOutput.html
-%%PORTDOCS%%%%DOCSDIR%%/SigioPdisplay.html
-%%PORTDOCS%%%%DOCSDIR%%/SigioQueries.html
-%%PORTDOCS%%%%DOCSDIR%%/SigioTop.html
-%%PORTDOCS%%%%DOCSDIR%%/SigmodCompaccum.html
-%%PORTDOCS%%%%DOCSDIR%%/SigmodDelay.html
-%%PORTDOCS%%%%DOCSDIR%%/SigmodPanspatl.html
-%%PORTDOCS%%%%DOCSDIR%%/SigmodReverbtn.html
-%%PORTDOCS%%%%DOCSDIR%%/SigmodSample.html
-%%PORTDOCS%%%%DOCSDIR%%/SigmodSiglimit.html
-%%PORTDOCS%%%%DOCSDIR%%/SigmodSpeciale.html
-%%PORTDOCS%%%%DOCSDIR%%/SigmodSpeciali.html
-%%PORTDOCS%%%%DOCSDIR%%/SigmodStandard.html
-%%PORTDOCS%%%%DOCSDIR%%/SigmodTop.html
-%%PORTDOCS%%%%DOCSDIR%%/SigmodWavguide.html
-%%PORTDOCS%%%%DOCSDIR%%/SigmodWavshape.html
-%%PORTDOCS%%%%DOCSDIR%%/SignalFlowGraphOpcodes.html
-%%PORTDOCS%%%%DOCSDIR%%/SoftwareBus.html
-%%PORTDOCS%%%%DOCSDIR%%/SpectralATS.html
-%%PORTDOCS%%%%DOCSDIR%%/SpectralLpcresyn.html
-%%PORTDOCS%%%%DOCSDIR%%/SpectralNonstand.html
-%%PORTDOCS%%%%DOCSDIR%%/SpectralRealTime.html
-%%PORTDOCS%%%%DOCSDIR%%/SpectralTop.html
-%%PORTDOCS%%%%DOCSDIR%%/StringsTop.html
-%%PORTDOCS%%%%DOCSDIR%%/TableReadwrit.html
-%%PORTDOCS%%%%DOCSDIR%%/TableSelect.html

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Danilo Egea Gondolfo freebsd_committer 2014-01-10 18:08:07 UTC
State Changed
From-To: open->closed

Committed as audio/csound6. Thanks!